Internal error after update from Redmine 2.2 to 2.5.1 in app/helpers/custom_fields_helper.rb

2014-04-23 13:52 - Peter Werner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.5.1

Description

Hi,

I guess I have found a problem in Redmine 2.5.1.

First here the necessary informations:

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Filesystem

Redmine plugins:

redmine_custom_workflows       0.0.4

redmine_egroupware_clients     0.0.2

redmine_steinhart_capa         0.0.1

What happens?

I have made an update from version 2.2 to 2.5.1. Now I have the problem that some of the issues are causing an internal error. All

these issues have a history but not all issues with a history are causing that error. According to the stack trace in the production log

the method format_value is affected. Here two stack traces:

Completed 500 Internal Server Error in 656.3ms

ActionView::Template::Error (private method `format' called for "bool":String):

    8: 

    9:     <% if journal.details.any? %>

    10:     <ul class="details">

    11:       <% details_to_strings(journal.visible_details).each do |string| %>

    12:        <li><%= string %></li>

    13:       <% end %>

    14:     </ul>

  app/helpers/custom_fields_helper.rb:112:in `format_value'

  app/helpers/issues_helper.rb:277:in `block in details_to_strings'

  app/helpers/issues_helper.rb:263:in `each'

  app/helpers/issues_helper.rb:263:in `details_to_strings'

  app/views/issues/_history.html.erb:11:in `block in _app_views_issues__history_html_erb___1036113

763_8711856'

  app/views/issues/_history.html.erb:2:in `each'

  app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb___1036113763_871185

6'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

 
Completed 500 Internal Server Error in 1156.2ms

ActionView::Template::Error (private method `format' called for "list":String):

    8: 
    9:     <% if journal.details.any? %>

    10:     <ul class="details">

    11:       <% details_to_strings(journal.visible_details).each do |string| %>

    12:        <li><%= string %></li>

    13:       <% end %>

    14:     </ul>

  app/helpers/custom_fields_helper.rb:112:in `format_value'

  app/helpers/issues_helper.rb:277:in `block in details_to_strings'

  app/helpers/issues_helper.rb:263:in `each'

  app/helpers/issues_helper.rb:263:in `details_to_strings'

  app/views/issues/_history.html.erb:11:in `block in _app_views_issues__history_html_erb___1036113

763_8711856'

  app/views/issues/_history.html.erb:2:in `each'

  app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb___1036113763_871185

6'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

 I have not figured out yet what kind of journal entry in the history is the reason, but I try to get more details ASAP. Anyway, maybe

one of the developers might have an idea what is going wrong here.

Best regards

Peter

History

#1 - 2014-04-25 10:42 - Constantin Manea

Hello,

I had the same problem (i updated from Redmine 2.4.1 to 2.5.1) and when i wanted to access "Roadmap" tab in every project i received the error:

private method `format' called for "date":String

app/helpers/custom_fields_helper.rb:112:in `format_value'

After a while i figured that this issue was from "Redmine Extended Fields Plugin". Uninstalled it and it resolved my problem.

Maybe this helps you too.

#2 - 2014-04-25 10:59 - Peter Werner

Hi Constantin,

thank you for your feedback. Although we have not installed that plug-in, we have other plug-ins installed and maybe one of theses causes similar

problems. I had that already in mind before I opened a bug report but unfortunately I could not test it how Redmine behaves without the plug-ins

because when our own developed plugin is missing all issues can not be displayed any more. So I need at least our own plugin.

Anyway, thanks for your tip and I guess I have to debug our installed plug-ins to find out if they cause the problem.

Best regards

Peter

#3 - 2014-05-21 08:22 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2015-04-14 19:34 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
